GUI have mixed locales
04/01/2013 05:19 AM - msx

Status: Resolved Start date: 04/01/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.8.0 0S: Linux

Description

Hi,

no matter | explicitly instructs Quassel to use English language (see attached quassel0.png and quassell.png images) some parts of
the GUI are still in another language - spanish in this case.

| presume this may have to be with my system's locale settings and Quassel incorrectly setting it's own locales: while my system
language is set to English (see attached systemsettings1.png image) my other system settings are set to Argentina (a
spanish-speaking South America's country).

Also this is the content of my /etc/vconsole.conf file:

LOCALE=en_US.UTF-8

LANG=en_US.UTF-8

LANGUAGE=en_US.UTF-8

LC_CTYPE=en_US.UTF-8

LC_NUMERIC=es_AR.UTF-8

LC_TIME=es_AR.UTF-8

LC_COLLATE=en_US.UTF-8

LC_MONETARY=es_AR.UTF-8

LC_MESSAGES=C

LC_PAPER=en_US.UTF-8

LC_NAME=en_US.UTF-8

LC_ADDRESS=en_US.UTF-8

LC_TELEPHONE=en_US.UTF-8

LC_MEASUREMENT=en_US.UTF-8

LC_IDENTIFICATION=en_US.UTF-8

which as you see sets the language to english - although this is totally irrelevant since X applications won't use these settings.
Cheers.
-Martin

Related issues:
Related to Quassel IRC - Bug #1194: Quassel disregards LC_MESSAGES Resolved 11/22/2012

History

#1 - 04/01/2013 05:22 AM - msx

| apologize for forgetting my system specs:

OS: GNU+Linux, "Chakra"
Desktop Environment: KDE SC 4.10.1

#2 - 12/23/2013 08:35 PM - Anonymous
- Category changed from Translations to Quassel Client
- Status changed from New to Feedback

- OS changed from Any to Linux

This sounds like what 0392d7e is supposed to fix. Can you check quassel 0.9.x with Qt 4.8+ and confirm that?

#3 - 12/24/2013 12:47 AM - msx

Yes, it's fixed! Please close this ticket :)

#4 - 12/24/2013 06:55 AM - Anonymous
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/0392d7e7892bafee907c2e5293700d67c9872fff

- Status changed from Feedback to Resolved
